SYSTEMD-CGLS(1)

NAME
systemd-cgls - Recursively show control group contents

SYNOPSIS

systemd-cgls [OPTIONS...] [CGROUP...]

DESCRIPTION

systemd-cgls recursively shows the contents of the selected Linux control group hierarchy in a tree. If arguments are specified, shows all member processes of the specified control groups plus all their subgroups and their members. The control groups may either be specified by their full file paths or are assumed in the systemd control group hierarchy. If no argument is specified and the current working directory is beneath the control group mount point /sys/fs/cgroup, shows the contents of the control group the working directory refers to. Otherwise, the full systemd control group hierarchy is shown.

By default, empty control groups are not shown.

OPTIONS

The following options are understood:

-h, --help
    Prints a short help text and exits.

--version
    Prints a short version string and exits.

--no-pager
    Do not pipe output into a pager.

--all
    Do not hide empty control groups in the output.

-l, --full
    Do not ellipsize process tree members.

-k
    Include kernel threads in output.

-m MACHINE, --machine=MACHINE
    Limit control groups shown to the part corresponding to the container MACHINE.

EXIT STATUS

On success 0 is returned, a non-zero failure code otherwise.

SEE ALSO

systemd(1), systemctl(1), systemd-cgtop(1), systemd-nspawn(1), ps(1)